# $Revision: 1.11 $, $Date: 2011/12/20 19:37:19 $

Summary:	Linux MultiMedia Studio
Summary(pl.UTF-8):	MultiMedialne Studio Linuksa
Name:		lmms
Version:	0.4.11
Release:	5
License:	GPL V2
Group:		X11/Applications/Sound
Source0:	http://downloads.sourceforge.net/project/lmms/lmms/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	b72c3a87a43e7653bf83d13f35c5d963
Patch0:		cmake_buildef.patch
URL:		http://lmms.sourceforge.net/
BuildRequires:	QtCore-devel >= 4.5
BuildRequires:	QtGui-devel >= 4.5
BuildRequires:	QtXml-devel >= 4.5
BuildRequires:	SDL-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake
BuildRequires:	fftw3-single-devel >= 3.0.0
BuildRequires:	fluidsynth-devel >= 1.0.7
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	portaudio-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	xorg-lib-libXft-devel
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LMMS is a free cross-platform program, which allow you to produce
music with your computer.

%description -l pl.UTF-8
LMMS to wolny, międzyplatformowy program, który pozwoli Tobie tworzyć
muzykę na komputerze.

%package devel
Summary:	LMMS header files
Summary(pl.UTF-8):	Pliki nagłówkowe LMMS
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
The header files for LMMS.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla LMMS.

%package libs
Summary:	LMMS library
Summary(pl.UTF-8):	Biblioteka LMMS
Group:		X11/Applications/Sound

%description libs
LMMS library.

%description libs -l pl.UTF-8
Biblioteka LMMS.

%prep
%setup -q
%patch0 -p0

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root)%{_bindir}/lmms
%{_desktopdir}/lmms.desktop
%{_mandir}/man1/lmms.1*
%{_datadir}/mime/packages/lmms.xml
%{_datadir}/lmms
%{_pixmapsdir}/lmms.png
%exclude %{_datadir}/menu

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lmms
%{_includedir}/lmms/*.h
%exclude %{_includedir}/lmms/*.cpp

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/lmms
%attr(755,root,root)%{_libdir}/lmms/*.so
%attr(755,root,root)%{_libdir}/lmms/RemoteZynAddSubFx
%dir %{_libdir}/lmms/ladspa
%attr(755,root,root)%{_libdir}/lmms/ladspa/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lmms.spec,v $
Revision 1.11  2011/12/20 19:37:19  arekm
- release 5

Revision 1.10  2011/09/17 15:53:15  sls
- packaged %{_includedir}/lmms
- rel. 4

Revision 1.9  2011/09/11 19:28:52  arekm
- release 3

Revision 1.8  2011/07/05 10:16:37  arekm
- rel 2; plugin path fixes by Daniel Dawid Majewski

Revision 1.7  2011/06/11 16:52:21  dirdival
- updated to 0.4.11

Revision 1.6  2011/02/11 14:38:23  sparky
- BR: portaudio-devel

Revision 1.5  2011/02/11 13:15:58  dirdival
- updated to 0.4.10

Revision 1.4  2010/12/05 01:08:44  dirdival
- updated to 0.4.8
- added missing R: lmms-libs
- added png path

Revision 1.3  2009/12/03 21:08:49  sparky
- BR: fftw3-single-devel, xorg-lib-libXft-devel

Revision 1.2  2009/11/16 10:10:56  zbyniu
- missing BRs

Revision 1.1  2009/08/20 18:37:55  shadzik
- init
- by Krzysztof Goliński <krzysztof dot golinski at gmail dot com>
